%This script creates the operational limit, based in shipX result
%oplim_allcrit(Tp,v,heading)

load('oplim_HsTp_allcrit.mat');
Tp_vec=oplim_HsTp_allcrit(9:38,1);
a1=6;
b1=7;
c=8;
v_vec=zeros(9,1);
h_vec=zeros(24,1);
oplim_allcrit=zeros(30,9,24); %Tp,heading,speed
oplim_allcrit_headwaves=zeros(30,9); %Tp,heading=0 deg,speed
for i=1:9
    a=a1+818*(i-1);
    v_vec(i)=oplim_HsTp_allcrit(a,1);
    for j=1:24
        b=b1+34*(j-1);
        h_vec(j)=oplim_HsTp_allcrit(b,1);
        for k=1:30
           c=c+1;
           oplim_allcrit(k,i,j)=oplim_HsTp_allcrit(c,2);
        end
        c=c+4;
    end
    b1=7+818*i;
    c=c+2;
end


for l=1:9
    for m=1:30
        oplim_allcrit_headwaves(m,l)=oplim_allcrit(m,l,1);
    end
end
save('oplim_allcrit_workspace','oplim_allcrit_headwaves','oplim_allcrit','h_vec','Tp_vec','v_vec')