%Written by Carita Gyldenskog Ranvik, Trondheim 10.06.2019
%This function finds the intesecting points between two vectors, made for
%finding intersecting point between KT and KTS in open water characetristics

function [Js]=vec2D_intersect(KT,KTS_vec,J)

%If pc=0 there is no intersecting point between the lines, should maybe be
%implimented to return false value when this happens
pc=0 ;

for i=1:length(KT)-1 
r=[J(i+1);KT(i+1)]-[J(i);KT(i)];

s=[J(i+1); KTS_vec(i+1)]-[J(i);KTS_vec(i)];

p=[J(i); KT(i)];
q=[J(i); KTS_vec(i)];

%If cross product is 0 there is a intersecting point
if cross2D(r,s)~=0
    t=cross2D((q-p),s)/cross2D(r,s);
    u=cross2D((p-q),r)/cross2D(s,r);
    
    %Check if the intersecting point is valid
    if t>=0 && t<=1 && u>=0 && u<=1
        %crossing point is given by:
        pc=p+t*r; %[Js, KTS (intersecting point)]
    break
    end
end

end

  Js=pc(1,1);
  %KTS=pc(2,1);  DOES NOT NEED KTS LATER, THEREFORE REMOVED FROM OUTPUT
end


    