%Written by Carita Gyldenskog Ranvik, Trondheim 10.06.2019
%in this script sfoc for hs=0.1-1 and hs=1-14 is combined
function [sfocInterpolate,P_B,Hs,v_isl]=FuelPowerMergeV2...
    (sfocInterpolate_hHs,P_B_hHs,sfocInterpolate_lHs,P_B_lHs,lowHs,highHs,V_isl_lowHs,V_isl_highHs)

% addpath('C:\Users\Carita\OneDrive for Business\Skole\Master Thesis\MATLAB code\preprocessing fo data for simulation\Fuel consumption')
% load('isl_workspace_clean.mat','sfoc','P_B') %[g/kWh] and [W]
% sfocInterpolate_hHs=sfoc;
% P_B_hHs=P_B;
[a,b,c,d]=size(sfocInterpolate_hHs);
% addpath('C:\Users\Carita\OneDrive for Business\Skole\Master Thesis\MATLAB code\preprocessing fo data for simulation\Fuel consumption lowHs')
% load('isl_workspace_lowHs.mat','sfoc','P_B')
% sfocInterpolate_lHs=sfoc;
% P_B_lHs=P_B;

[e,~]=size(sfocInterpolate_lHs);
Hs=[lowHs highHs];

%Declearing variables
sfocInterpolate=zeros(length(Hs),b,c,d);
P_B=zeros(length(Hs),b,c,d);
v_isl_raw=zeros(length(Hs),b,c,d);
v_isl=zeros(length(Hs),b,d);

for i=1:e
    for j=1:b
        for k=1:c
            for l=1:d
                sfocInterpolate(i,j,k,l)=sfocInterpolate_lHs(i,j,k,l);
                P_B(i,j,k,l)=P_B_lHs(i,j,k,l);
                v_isl_raw(i,j,k,l)=V_isl_lowHs(i,j,k,l);
            end
        end
    end
end

for i=e+1:length(Hs)
    for j=1:b
        for k=1:c
            for l=1:d
                sfocInterpolate(i,j,k,l)=sfocInterpolate_hHs(i-e,j,k,l);
                P_B(i,j,k,l)=P_B_hHs(i-e,j,k,l);
                v_isl_raw(i,j,k,l)=V_isl_highHs(i-e,j,k,l);
            end
        end
    end
end
for i=1:length(Hs)
    for j=1:b
        for k=1:d
            v_isl(i,j,k)=v_isl_raw(i,j,c,k);
        end
    end
end
save('FuelPower_workspace.mat','sfocInterpolate','P_B','Hs','v_isl','v_isl_raw')



